#include <vector>
#include <map>
#include "partition.h"

using namespace std;

vector<int> solve(vector<int> v){
    int n=v.size();
    vector<int> s;
    s.resize(n);
    map<int, int> aparitii;
    int offs=0;
    for(int i=0;i<n;i++){
        if(!aparitii[v[i]]){
            aparitii[v[i]]=1;
            s[offs]=i;
        }
        else{
            aparitii[v[i]]=0;
            s[n/2+offs]=i;
            offs++;
        }
    }
    return s;
}
